<mxfile host="Electron" agent="Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) draw.io/29.3.6 Chrome/140.0.7339.249 Electron/38.8.0 Safari/537.36" version="29.3.6">
  <diagram name="Page-1" id="L-KOPRMV2wZSnAYm-uNf">
    <mxGraphModel dx="1396" dy="698" grid="1" gridSize="10" guides="1" tooltips="1" connect="1" arrows="1" fold="1" page="1" pageScale="1" pageWidth="850" pageHeight="1100" background="#ffffff" math="0" shadow="0">
      <root>
        <mxCell id="0" />
        <mxCell id="1" parent="0" />
        <mxCell id="FcBwC2Dzq3h-ralQRLea-15" edge="1" parent="1" source="FcBwC2Dzq3h-ralQRLea-1" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=0.25;exitY=1;exitDx=0;exitDy=0;entryX=0.5;entryY=0;entryDx=0;entryDy=0;" target="FcBwC2Dzq3h-ralQRLea-12">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-16" edge="1" parent="1" source="FcBwC2Dzq3h-ralQRLea-1" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=0.5;exitY=1;exitDx=0;exitDy=0;entryX=0.5;entryY=0;entryDx=0;entryDy=0;" target="FcBwC2Dzq3h-ralQRLea-13">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-17" edge="1" parent="1" source="FcBwC2Dzq3h-ralQRLea-1" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=0.75;exitY=1;exitDx=0;exitDy=0;entryX=0.5;entryY=0;entryDx=0;entryDy=0;" target="FcBwC2Dzq3h-ralQRLea-14">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-1" parent="1" style="rounded=1;whiteSpace=wrap;html=1;fillColor=#e1d5e7;strokeColor=#9673a6;gradientColor=none;" value="Tokenizer" vertex="1">
          <mxGeometry height="60" width="410" x="190" y="420" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-10" edge="1" parent="1" source="FcBwC2Dzq3h-ralQRLea-8" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=0.5;exitY=1;exitDx=0;exitDy=0;entryX=0.75;entryY=0;entryDx=0;entryDy=0;" target="FcBwC2Dzq3h-ralQRLea-1">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-8" parent="1" style="rounded=1;whiteSpace=wrap;html=1;fillColor=#ffe6cc;strokeColor=#d79b00;" value="External Context" vertex="1">
          <mxGeometry height="60" width="120" x="650" y="320" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-21" edge="1" parent="1" source="FcBwC2Dzq3h-ralQRLea-12" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=0.5;exitY=1;exitDx=0;exitDy=0;entryX=0.25;entryY=0;entryDx=0;entryDy=0;" target="FcBwC2Dzq3h-ralQRLea-18">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-12" parent="1" style="rounded=1;whiteSpace=wrap;html=1;fillColor=#f8cecc;strokeColor=#b85450;fillStyle=dashed;" value="tokenized&lt;br&gt;Prompt" vertex="1">
          <mxGeometry height="60" width="120" x="200" y="540" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-20" edge="1" parent="1" source="FcBwC2Dzq3h-ralQRLea-13" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=0.5;exitY=1;exitDx=0;exitDy=0;entryX=0.5;entryY=0;entryDx=0;entryDy=0;" target="FcBwC2Dzq3h-ralQRLea-18">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-13" parent="1" style="rounded=1;whiteSpace=wrap;html=1;fillColor=#dae8fc;strokeColor=#6c8ebf;fillStyle=dashed;" value="tokenized&lt;div&gt;Answer&lt;/div&gt;" vertex="1">
          <mxGeometry height="60" width="120" x="335" y="540" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-19" edge="1" parent="1" source="FcBwC2Dzq3h-ralQRLea-14" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=0.5;exitY=1;exitDx=0;exitDy=0;entryX=0.75;entryY=0;entryDx=0;entryDy=0;" target="FcBwC2Dzq3h-ralQRLea-18">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-14" parent="1" style="rounded=1;whiteSpace=wrap;html=1;fillColor=#fff2cc;strokeColor=#d6b656;fillStyle=dashed;" value="tokenized&lt;div&gt;Context&lt;/div&gt;" vertex="1">
          <mxGeometry height="60" width="120" x="470" y="540" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-22" edge="1" parent="1" source="FcBwC2Dzq3h-ralQRLea-18" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=0.5;exitY=1;exitDx=0;exitDy=0;entryX=0.5;entryY=0;entryDx=0;entryDy=0;" target="FcBwC2Dzq3h-ralQRLea-33">
          <mxGeometry relative="1" as="geometry">
            <mxPoint x="395.0344827586207" y="800" as="targetPoint" />
          </mxGeometry>
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-18" parent="1" style="rounded=1;whiteSpace=wrap;html=1;" value="Custom ModernBERT&lt;div&gt;SLM&lt;/div&gt;" vertex="1">
          <mxGeometry height="60" width="120" x="335" y="680" as="geometry" />
        </mxCell>
        <mxCell id="we9DdsN1QogulVzx31cQ-8" edge="1" parent="1" source="FcBwC2Dzq3h-ralQRLea-31" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=0.5;exitY=1;exitDx=0;exitDy=0;entryX=0.5;entryY=0;entryDx=0;entryDy=0;" target="FcBwC2Dzq3h-ralQRLea-8">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-31" parent="1" style="rounded=1;whiteSpace=wrap;html=1;fillColor=#ffe6cc;strokeColor=#d79b00;" value="MCP Server" vertex="1">
          <mxGeometry height="60" width="120" x="650" y="230" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-32" parent="1" style="rounded=1;whiteSpace=wrap;html=1;fillColor=#f5f5f5;strokeColor=#666666;fontColor=#333333;" value="User Input/&lt;div&gt;Automated Input&lt;/div&gt;" vertex="1">
          <mxGeometry height="60" width="120" x="40" y="300" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-36" edge="1" parent="1" source="FcBwC2Dzq3h-ralQRLea-33" style="edgeStyle=orthogonalEdgeStyle;rounded=0;sketch=1;hachureGap=4;jiggle=2;curveFitting=1;orthogonalLoop=1;jettySize=auto;html=1;exitX=0.5;exitY=1;exitDx=0;exitDy=0;entryX=0.5;entryY=0;entryDx=0;entryDy=0;fontFamily=Architects Daughter;fontSource=https%3A%2F%2Ffonts.googleapis.com%2Fcss%3Ffamily%3DArchitects%2BDaughter;" target="FcBwC2Dzq3h-ralQRLea-35">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-33" parent="1" style="rounded=1;whiteSpace=wrap;html=1;hachureGap=4;fontFamily=Architects Daughter;fontSource=https%3A%2F%2Ffonts.googleapis.com%2Fcss%3Ffamily%3DArchitects%2BDaughter;fillColor=#ffe6cc;strokeColor=#d79b00;gradientColor=none;" value="&lt;font face=&quot;Helvetica&quot;&gt;Multi Labeled Output&lt;/font&gt;" vertex="1">
          <mxGeometry height="60" width="120" x="335" y="780" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-35" parent="1" style="rounded=1;whiteSpace=wrap;html=1;hachureGap=4;fontFamily=Architects Daughter;fontSource=https%3A%2F%2Ffonts.googleapis.com%2Fcss%3Ffamily%3DArchitects%2BDaughter;fillColor=#d5e8d4;strokeColor=#82b366;" value="&lt;font face=&quot;Helvetica&quot;&gt;Markierter Code&lt;/font&gt;" vertex="1">
          <mxGeometry height="60" width="120" x="335" y="880" as="geometry" />
        </mxCell>
        <mxCell id="we9DdsN1QogulVzx31cQ-2" connectable="0" parent="1" style="group;rounded=0;glass=0;shadow=0;" value="" vertex="1">
          <mxGeometry height="170" width="290" x="200" y="220" as="geometry" />
        </mxCell>
        <mxCell id="we9DdsN1QogulVzx31cQ-1" parent="we9DdsN1QogulVzx31cQ-2" style="rounded=0;whiteSpace=wrap;html=1;fillColor=#e1d5e7;strokeColor=#9673a6;" value="LLM (GPT4-o, Llama3.1 o.Ä)&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;&lt;div&gt;&lt;br&gt;&lt;/div&gt;" vertex="1">
          <mxGeometry height="170" width="290" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-6" parent="we9DdsN1QogulVzx31cQ-2" style="rounded=1;whiteSpace=wrap;html=1;fillColor=#f8cecc;strokeColor=#b85450;" value="Prompt" vertex="1">
          <mxGeometry height="60" width="120" x="20" y="80" as="geometry" />
        </mxCell>
        <mxCell id="FcBwC2Dzq3h-ralQRLea-7" parent="we9DdsN1QogulVzx31cQ-2" style="rounded=1;whiteSpace=wrap;html=1;fillColor=#dae8fc;strokeColor=#6c8ebf;" value="LLM Answer" vertex="1">
          <mxGeometry height="60" width="120" x="155" y="80" as="geometry" />
        </mxCell>
        <mxCell id="we9DdsN1QogulVzx31cQ-4" edge="1" parent="1" source="FcBwC2Dzq3h-ralQRLea-7" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=0.5;exitY=1;exitDx=0;exitDy=0;entryX=0.5;entryY=0;entryDx=0;entryDy=0;" target="FcBwC2Dzq3h-ralQRLea-1">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
        <mxCell id="we9DdsN1QogulVzx31cQ-3" edge="1" parent="1" source="FcBwC2Dzq3h-ralQRLea-32" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=1;exitY=0.5;exitDx=0;exitDy=0;" target="FcBwC2Dzq3h-ralQRLea-6">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
        <mxCell id="we9DdsN1QogulVzx31cQ-5" edge="1" parent="1" source="FcBwC2Dzq3h-ralQRLea-6" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=0.5;exitY=1;exitDx=0;exitDy=0;entryX=0.25;entryY=0;entryDx=0;entryDy=0;" target="FcBwC2Dzq3h-ralQRLea-1">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
        <mxCell id="we9DdsN1QogulVzx31cQ-14" edge="1" parent="1" source="we9DdsN1QogulVzx31cQ-9" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=0.75;exitY=0;exitDx=0;exitDy=0;entryX=0;entryY=0.5;entryDx=0;entryDy=0;" target="FcBwC2Dzq3h-ralQRLea-31">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
        <mxCell id="we9DdsN1QogulVzx31cQ-9" parent="1" style="rounded=1;whiteSpace=wrap;html=1;fillColor=#ffe6cc;strokeColor=#d79b00;" value="Python doc requestor" vertex="1">
          <mxGeometry height="60" width="120" x="510" y="320" as="geometry" />
        </mxCell>
        <mxCell id="we9DdsN1QogulVzx31cQ-13" edge="1" parent="1" source="we9DdsN1QogulVzx31cQ-1" style="edgeStyle=orthogonalEdgeStyle;rounded=0;orthogonalLoop=1;jettySize=auto;html=1;exitX=1;exitY=0.25;exitDx=0;exitDy=0;entryX=0.25;entryY=0;entryDx=0;entryDy=0;" target="we9DdsN1QogulVzx31cQ-9">
          <mxGeometry relative="1" as="geometry" />
        </mxCell>
      </root>
    </mxGraphModel>
  </diagram>
</mxfile>
